CRM Communications
Log a communication on a deal
POST
/
crm
/
deals
/
{dealId}
/
communications
Log a communication on a deal
curl --request POST \
--url https://api.example.com/crm/deals/{dealId}/communications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/crm/deals/{dealId}/communications"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/crm/deals/{dealId}/communications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "call",
"direction": "inbound",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subject": "<string>",
"body": "<string>",
"durationSeconds": 123,
"outcome": "connected",
"externalId": "<string>",
"dealId": "<string>",
"contactId": "<string>",
"crmCompanyId": "<string>",
"loggedById": "<string>",
"loggedByName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Path Parameters
Response
Available options:
call, email, sms, whatsapp Available options:
inbound, outbound Available options:
connected, voicemail, no_answer, busy ⌘I
Log a communication on a deal
